SoulFire LogoSoulFire

Get log history

Retrieves historical log entries from the server's in-memory log buffer. The server maintains a rolling buffer of the last 300 log entries. Only returns non-personal logs that match the specified scope.

POST
/v1/logs:history

Retrieves historical log entries from the server's in-memory log buffer. The server maintains a rolling buffer of the last 300 log entries. Only returns non-personal logs that match the specified scope.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to retrieve historical log entries from the server's log buffer.

scope*

The scope defining which logs to retrieve. Personal logs are not included in historical retrieval as they are not stored.

count*integer

The maximum number of recent log entries to retrieve. Must not exceed 300 (the server's maximum log buffer size). Returns the newest entries that match the scope, up to this count.

Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/logs:history" \  -H "Content-Type: application/json" \  -d '{    "count": 0  }'
{  "messages": [    {      "id": "string",      "message": "string",      "instanceId": "string",      "botAccountId": "string",      "scriptId": "string",      "personal": true,      "instanceName": "string",      "botAccountName": "string",      "timestamp": "2019-08-24T14:15:22Z",      "loggerName": "string",      "level": "string"    }  ]}

How is this page?